<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
require("MandaCorreos/FuncionSendMail.php");
require "conexion/conectar.php";
require "libs/funciones.php";

$usr=$_REQUEST['usuario'];
$ParaEmail=$_REQUEST['email'];
$ParaNombre=$_REQUEST['nombre'];
$password=$_REQUEST['password'];

$conexion = new CONDB();
$conexion->conectar();


$query="select rfc_cliente from usuariosweb where username='$usr'";
$rquery = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0){
	$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
	
	$query="select nombre_cliente from clienteweb where rfc_cliente='".$temp['rfc_cliente']."'";
	
	$rquery2 = mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery2) > 0){
		$temp2 = mysqli_fetch_array($rquery2,MYSQLI_ASSOC);
		$razonSocial=$temp2['nombre_cliente'];
	}
}



if(file_exists("config.ini")){
		$vlineas = file("config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,23) == "CUERPO_CONFIRMA_CORREO="){
				$body=trim(str_replace("CUERPO_CONFIRMA_CORREO=","",$sLinea));
			}else if(substr($sLinea,0,23) == "ASUNTO_CONFIRMA_CORREO="){
				$SubjectMessage=trim(str_replace("ASUNTO_CONFIRMA_CORREO=","",$sLinea));
			}
		}
	$SubjectMessage = str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<EMAIL>>",$ParaEmail,$SubjectMessage))));
	$BodyHTMLFileMessage=str_replace("<<RAZONSOCIALURL>>",$razonSocial,str_replace("<<ID>>",$password,str_replace("<<EMAIL>>",$ParaEmail,str_replace("<<NOMBRE>>",$ParaNombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body))))));
	$AdjuntoA="";
	$AdjuntoB="";
	$AdjuntoC="";
	$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
	$FROM = getINI("FROM_CORREO=","config.ini");
	//echo $ParaEmail." - ".$ParaNombre." - ".$SubjectMessage." - ".$BodyHTMLFileMessage." - ".$AdjuntoA." - ".$AdjuntoB." - ".$AdjuntoC;exit;
	if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
		if(!mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM))
			echo "false";
		else
			echo "true";
	}else{
		if(!SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC))
			echo "false";
		else
			echo "true";
	}
}
?>